# CommandPacket Struct Reference

Everything we need to know about a command to be able to execute it. More...

`#include <network_internal.h>`

Inheritance diagram for CommandPacket:

## Data Fields
CommandPacket * | next
| the next command packet (if in queue)
CompanyByte | company
| company that is executing the command
uint32 | frame
| the frame in which this packet is executed
bool | my_cmd
| did the command originate from "me"

## Detailed Description

Everything we need to know about a command to be able to execute it.

Definition at line 156 of file network_internal.h.

The documentation for this struct was generated from the following file:

- src/network/network_internal.h